package com.dhcc.finance.constant;
/**
 * 功能描述：财务交易码
 * @author dml
 * @date 2019年9月19日 上午10:19:13
 * @修改日志：
 */
public enum FinanceJymEnum {
    /**认购资金到账*/
	RGZJDZ("CJ1001", "认购资金到账"),
    /**认购份额确认*/
	RGFEQR("CJ1002", "认购份额确认"),
    /**申购资金到账*/
	SGZJDZ("CJ1003", "申购资金到账"),
    /**申购份额确认*/
	SGFEQR("CJ1004", "申购份额确认"),
    /**受益权转让*/
	SYQZR("CJ1005", "受益权转让"),
	/**受益权转让-模板*/
	SYQZRJZ("CJ3007", "受益权转让-模板"),
    /**受益权级别调整*/
	SYQJBTZ("CJ1006", "受益权级别调整"),
    /**调增调减*/
	TZTJ("CJ1007", "调增调减"),
    /**份额转增*/
	FEZZ("CJ1008", "份额转增"),
    /**贷款/投资划出资金*/
	DKTZHCZJ("CJ1009", "贷款/投资划出资金"),
    /**赎回计提*/
	SHJT("CJ1010", "赎回计提"),
    /**赎回兑付*/
	SHDF("CJ1011", "赎回兑付"),
    /**季度结息收入计提*/
	JDJXSRJT("CJ1012", "季度结息收入计提"),
    /**季度结息收入到账*/
	JDJXSRDZ("CJ1013", "季度结息收入到账"),
    /**季度结息受益人收益计提*/
	JDJXSYRSYJT("CJ1014", "季度结息受益人收益计提"),
    /**季度结息费用支出计提*/
	JDJXFYZCJT("CJ1015", "季度结息费用支出计提"),
    /**季度结息受益人收益兑付*/
	JDJXSYRSYDF("CJ1016", "季度结息受益人收益兑付"),
    /**季度结息支出兑付*/
	JDJXZCDF("CJ1017", "季度结息支出兑付"),
    /**费用报销*/
	FYBX("CJ1018", "费用报销"),
    /**销户受益人收益*/
	XHSYRSY("CJ1019", "销户受益人收益"),
    /**销户费用支出*/
	XHFYZC("CJ1020", "销户费用支出"),
    /**流水划付*/
	LSHF("CJ1021", "流水划付"),
    /**冻结*/
	DJ("CJ1022", "冻结"),
    /**解冻*/
	JD("CJ1023", "解冻"),
    /**质押*/
	ZY("CJ1024", "质押"),
    /**解质押*/
	JZY("CJ1025", "解质押"),
    /**每日计提收益*/
	MRJT("CJ1031", "每日计提收益"),
    /**每日计提费用*/
	MRJTFY("CJ1032", "每日计提费用"),
    /**资产入账*/
	ZCRZ("CJ2001", "资产入账"),
    /**申购*/
	SG("CJ2002", "申购"),
    /**追加资产*/
	ZJZC("CJ2003", "追加资产"),
    /**循环购买*/
	XHGM("CJ2010", "循环购买")
	;
	
	private final String code;
	private final String info;

	FinanceJymEnum(String code, String info) {
		this.code = code;
		this.info = info;
	}

	public String code() {
		return code;
	}

	public String info() {
		return info;
	}

}
